Index: branches/2.4/expressoMail1_2/templates/default/listContacts.ejs
===================================================================
--- branches/2.4/expressoMail1_2/templates/default/listContacts.ejs	(revision 6754)
+++ branches/2.4/expressoMail1_2/templates/default/listContacts.ejs	(revision 6754)
@@ -0,0 +1,13 @@
+
+<%if (data.type == 'linha'){%>
+<li>
+	<div class="line-separator">
+		&nbsp;
+	</div>
+<%}else{%>
+<li>
+	<img style="position:relative; top:2px; "src="templates/default/images/<%=data.type == 'pessoal' ? 'contato_pessoal' : 'contato_recente'%>.png" title="Contato <%=data.type == 'pessoal' ? data.type : 'recente'%>"/>
+	<a style="width:80%; display: inline-block;"><%= data.name %> - <%= data.email %></a>
+	<span style="width:16px; height:16px; top:5px; <%=data.type == 'pessoal' ? 'display:none' : ''%>">Excluir contato recente</span>	
+<%}%>
+</li>
Index: branches/2.4/expressoMail1_2/templates/default/config.tpl
===================================================================
--- branches/2.4/expressoMail1_2/templates/default/config.tpl	(revision 5988)
+++ branches/2.4/expressoMail1_2/templates/default/config.tpl	(revision 6754)
@@ -104,5 +104,5 @@
     </td>
     </tr>
-    <tr bgcolor="{row_off}">
+    <tr bgcolor="{row_on}">
     <td>{lang_imap_max_folders}:</td>
     <td>
@@ -110,5 +110,5 @@
     </td>
     </tr>
-    <tr bgcolor="{row_on}">
+    <tr bgcolor="{row_off}">
     <td>{lang_Max_attachment_size}</td>
     <td>
@@ -118,5 +118,5 @@
     </td>
     </tr>
-	<tr bgcolor="{row_off}"> 
+	<tr bgcolor="{row_on}"> 
  	    <td>{lang_allow_hidden_copy}</td> 
  	    <td> 
@@ -133,5 +133,5 @@
     </td>
     </tr>
-        <tr bgcolor="{row_off}">
+        <tr bgcolor="{row_on}">
         <td>{lang_gears_firefox_windows_url}</td>
         <td>
@@ -139,5 +139,5 @@
         </td>
     </tr>
-    <tr bgcolor="{row_on}">
+    <tr bgcolor="{row_off}">
         <td>{lang_gears_firefox_linux_url}</td>
         <td>
@@ -145,5 +145,5 @@
         </td>
     </tr>
-   <tr bgcolor="{row_off}">
+   <tr bgcolor="{row_on}">
         <td>{lang_gears_ie_url}</td>
         <td>
@@ -151,5 +151,5 @@
         </td>
     </tr>
-    <tr bgcolor="{row_on}">
+    <tr bgcolor="{row_off}">
     <td>{lang_Do_you_want_to_use_x_origin_in_source_menssage?}</td>
     <td>
@@ -160,5 +160,5 @@
     </td>
     </tr>
-	 <tr bgcolor="{row_off}">
+	 <tr bgcolor="{row_on}">
 		<td>{lang_Number_max_of_labels}</td>
 		<td>
@@ -244,4 +244,30 @@
         </td>
     </tr>
+	
+	<tr bgcolor="{th_bg}"> 
+		<td colspan="2"> 
+			&nbsp; 
+		</td> 
+	</tr>
+	<tr bgcolor="{row_on}"> 
+		<td colspan="2"> 
+			<label style="font-weight:bold;">{lang_Identifier_of_the_recipient_of_a_message}</label> 
+		</td> 
+	</tr>
+	<tr bgcolor="{row_off}">
+        <td>{lang_LDAP_attribute_used_to_replacement}</td>
+        <td>
+            <select id="identifier_recipient" name="newsettings[expressoMail_ldap_identifier_recipient]">
+				{rows_ldap_identifier}
+            </select>
+        </td>
+    </tr> 
+	
+	<!-- <tr bgcolor="{row_off}">
+        <td>{lang_LDAP_attribute_used_to_replacement}</td>
+        <td>
+            <input type="text" id="identifier_recipient " value="{value_expressoMail_ldap_identifier_recipient}" name="newsettings[expressoMail_ldap_identifier_recipient]" size=10 maxlength=10 />
+        </td>
+    </tr> -->
     <!--tr bgcolor="{row_on}">
         <td>{lang_Days_interval_to_show_balloon_for_user}</td>
Index: branches/2.4/expressoMail1_2/templates/default/index.tpl
===================================================================
--- branches/2.4/expressoMail1_2/templates/default/index.tpl	(revision 5878)
+++ branches/2.4/expressoMail1_2/templates/default/index.tpl	(revision 6754)
@@ -211,3 +211,4 @@
 <div id="sendFileMessages" style="display:none;"></div>
 <div id="quickAddContact" style="display:none;"></div>
+<div id="freeow" class="freeow freeow-bottom-right"></div>
 <!-- END list -->
Index: branches/2.4/expressoMail1_2/templates/default/main.css
===================================================================
--- branches/2.4/expressoMail1_2/templates/default/main.css	(revision 6734)
+++ branches/2.4/expressoMail1_2/templates/default/main.css	(revision 6754)
@@ -127,4 +127,7 @@
 .context-menu-item.icon-normal { background-image: url(images/door.png); }
 .context-menu-item.icon-followupflag { background-image: url(images/door.png); }
+.context-menu-item.icon-quick-add { background-image: url(images/vcard_add.png); }
+.context-menu-item.icon-delete-box{ background-image: url(images/user_delete.png); }
+.context-menu-item.icon-quick-search-contact{ background-image: url(images/zoom.png); }
 
 
@@ -700,5 +703,5 @@
 }
 .message_options_trash {
-	background-image: url(../../../phpgwapi/templates/default/images/foldertree_trash.png);
+	background-image: url(images/page_white_delete.png);
 	background-repeat: no-repeat;
 	background-position:left center;
@@ -1009,21 +1012,12 @@
 }
 
-.qtip.qtip-blue.qtip-active ul { 
-        padding: 0; 
-} 
- 
-.qtip.qtip-blue.qtip-active li { 
-        width: 160px; 
-        list-style: none; 
-} 
-
-.qtip.qtip-blue.qtip-active ul { 
-        padding: 0; 
-} 
- 
-.qtip.qtip-blue.qtip-active li { 
-        width: 160px; 
-        list-style: none; 
-} 
+.qtip.qtip-blue.qtip-active ul {
+	padding: 0;
+}
+
+.qtip.qtip-blue.qtip-active li {
+	width: 160px;
+	list-style: none;
+}
 
 .new-event-win.active .fc-event-skin {
@@ -1064,12 +1058,12 @@
 }
 
-div.new-event-win.active div.button-files-upload{ 
-    margin: 15px 0 0 0; 
-} 
- 
-div.new-event-win.active div.files-list{ 
-    margin: 45px 0 0 0; 
-} 
- 		 
+div.new-event-win.active div.button-files-upload{
+    margin: 15px 0 0 0;
+}
+
+div.new-event-win.active div.files-list{
+    margin: 45px 0 0 0;
+}
+
 /*#divAppbox
 { background: #fff url( ../images/bgBlockContent.jpg ) repeat-x; border-color: #9c9c9c; }
@@ -1282,2 +1276,125 @@
 
  button.expressomail-button-icon-ative{color:#E17009 !important; border: 1px solid #E17009 !important;background: none repeat scroll 0 0 #FFE1CC !important;}
+ 
+.outoffice 
+{ 
+    width: 295px;  
+    height: 50px;  
+    overflow: hidden; 
+} 
+        
+.title-outoffice 
+{ 
+        margin-left: 10px; 
+        font-family: verdana; 
+        font-size: 1.2em; 
+} 
+.outoffice span{ 
+        margin: 5px; 
+} 
+
+#detalhes_contato img{ margin-bottom: -4px;}
+
+ button.expressomail-button-icon-ative{color:#E17009 !important; border: 1px solid #E17009 !important;background: none repeat scroll 0 0 #FFE1CC !important;}
+ 
+.box{
+	background-color: #96B3D3;
+	border-radius: 5px;
+	-moz-border-radius: 5px;
+	border: 1px solid #201b41; 
+	display: inline-block;
+	cursor : pointer;
+	margin-top : 1px;
+	margin-right: 1px;
+	outline : none;
+	padding : 1px;
+}
+
+
+.box span{
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 13px;
+	color : #201b41;
+	outline : none;
+}
+
+.invalid-email-box{
+	background-color: #F08080;
+	border : 1px solid #540303 !important;
+}
+
+.invalid-email-box span{
+	color: #540303;
+}
+
+.out-office-box{
+	background-color: #dac407;
+	border : 1px solid #837c3f !important;
+}
+
+.out-office-box span{
+	color: #837c3f;
+}
+
+.email-area{
+	border-radius: 5px; 
+	width: 98.5%;
+	padding: 5px;
+	border : 1px solid #BBBBBB; 
+	heigth : auto;
+	max-height : 115px;
+	overflow-y: auto;
+	cursor: text;
+}
+.email-text{
+	outline:none;
+	width:15px;
+	border : none;
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 13px;
+}
+
+.box-input{
+	outline:none;
+	border : none;
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 13px;
+	display : none;
+	width: 40px;
+}
+
+.box-selected{
+	background-color : #BBBBBB;
+}
+
+.hidden {
+	display : none;
+}
+
+.loading {
+	background: url(../../../prototype/modules/mail/img/loader.gif) !important;
+	background-position: 0 0 !important;
+	background-repeat : no-repeat !important;
+}
+
+.line-separator{
+	background: url("images/linha.png") repeat-x scroll 0 8px transparent;
+	clear : both;
+}
+
+.box-draggable-hover{
+	border : 1px solid #474747;
+}
+
+.box-loading{
+	background : url("../../../prototype/modules/mail/img/loading.gif") no-repeat !important;
+	background-size: 17px auto !important;
+}
+
+.box-info{
+	background : url("images/information.png") no-repeat !important;
+}
+
+input.required-fail{
+	border-color : red;
+}
Index: branches/2.4/expressoMail1_2/templates/default/searchMails.ejs
===================================================================
--- branches/2.4/expressoMail1_2/templates/default/searchMails.ejs	(revision 5751)
+++ branches/2.4/expressoMail1_2/templates/default/searchMails.ejs	(revision 6754)
@@ -3,5 +3,5 @@
 			
 				<label><%=data.From%>:</label>
-				<input style="margin-left: 6px;" type="text" id="txt_de" size="20" />
+				<input style="margin-left: 6px;" type="text" id="txt_de" size="20" value="<%=data.From_value%>"/>
 				<br style="margin-bottom:15px" />
 
